# Get a Braintree Promo Code Gets a Braintree promo code. Endpoint: GET /blaize/payment/braintree/promo-code Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Query parameters: - `code` (string, required) Promo code to lookup by ID. - `paymentForm` (string, required) Payment form to lookup by slug. ## Response 200 fields (application/json): - `code` (string, required) The promo code identifier. Example: "promo-123" - `discount` (number, required) The discount amount. Example: 20 - `paymentOptions` (array, required) The list of payment options. - `paymentOptions.slug` (string) The plan slug with which this promo code is associated. Example: "plan-123" - `paymentOptions.currency` (string) The currency symbol. Example: "$" - `paymentOptions.pricePointId` (string) Example: "cost-123" - `paymentOptions.originalPrice` (number) Example: 3.45 - `paymentOptions.discountPrice` (number) Example: 2 ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields